Package com.avaya.clientservices.media.capture

## Enum VideoCaptureController.Preference

- java.lang.Object
- - java.lang.Enum<VideoCaptureController.Preference>
  - - com.avaya.clientservices.media.capture.VideoCaptureController.Preference

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VideoCaptureController.Preference>`
  Enclosing class:
    VideoCaptureController

      public static enum VideoCaptureController.Preference
      extends java.lang.Enum<VideoCaptureController.Preference>

  Requested Capture Resolutions Max - highest capture resolution supported by device Min - lowest capture resolution supported by device Specific resolution - upper bound for capture resolution. Maybe limited by hardware support

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Max` |
    `Min` |
    `p1080` |
    `p270` |
    `p360` |
    `p480` |
    `p540` |
    `p720` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VideoCaptureController.Preference` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VideoCaptureController.Preference[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Max

          public static final VideoCaptureController.Preference Max

    - #### p1080

          public static final VideoCaptureController.Preference p1080

    - #### p720

          public static final VideoCaptureController.Preference p720

    - #### p540

          public static final VideoCaptureController.Preference p540

    - #### p480

          public static final VideoCaptureController.Preference p480

    - #### p360

          public static final VideoCaptureController.Preference p360

    - #### p270

          public static final VideoCaptureController.Preference p270

    - #### Min

          public static final VideoCaptureController.Preference Min

  - ### Method Detail

    - #### values

          public static VideoCaptureController.Preference[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoCaptureController.Preference c : VideoCaptureController.Preference.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoCaptureController.Preference valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null